<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>StackTop</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="StackTop"><H1>StackTop</H1></A>
This function returns the top of the stack. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h"   
PetscErrorCode StackTop(IntStack stack, int *top)
</PRE>
Not Collective
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<DT><B>stack </B> -The stack
<br>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<DT><B>top </B> -The integer on top of the stack
<br>
<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 log, stack, top
<BR>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Profiling/StackCreate.html#StackCreate">StackCreate</A>(), <A HREF="../Profiling/StackDestroy.html#StackDestroy">StackDestroy</A>(), <A HREF="../Profiling/StackEmpty.html#StackEmpty">StackEmpty</A>(), <A HREF="../Profiling/StackPush.html#StackPush">StackPush</A>(), <A HREF="../Profiling/StackPop.html#StackPop">StackPop</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>intermediate
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/plog/plog.c.html#StackTop">src/sys/plog/plog.c</A>
<BR><A HREF="./index.html">Index of all Profiling routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
